# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           blockerbugs
Version:        0.4.0
Release:        1%{?dist}
Summary:        Fedora QA Blocker Tracking Application

License:        GPLv2+
URL:            https://fedorahosted.org/fedora-qa
Source0:        http://git.fedorahosted.org/cgit/blockerbugs.git/snapshot/blockerbugs-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-flask-assets
Requires:       python-fedora
Requires:       python-fedora-flask
Requires:       python-alembic
Requires:       python-psycopg2
Requires:       python-bugzilla >= 0.8
Requires:       python-flask-admin
Requires:       python-iso8601
Requires:       python-openid
Requires:       python-openid-cla
Requires:       python-openid-teams
Requires:       uglify-js
Requires:       koji
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-bunch
BuildRequires:  python-flask
BuildRequires:  python-flask-sqlalchemy
BuildRequires:  python-fedora-flask
BuildRequires:  python-mock

# python-sqlalchemy is too old on el6 but required on fedora
# At the moment, there is no el6 build of python-dingus
%if 0%{?rhel}
Requires:       python-sqlalchemy0.7
BuildRequires:  python-sqlalchemy0.7
BuildRequires:  python-sphinx10
%else
Requires:       python-sqlalchemy
BuildRequires:  python-sqlalchemy
BuildRequires:  python-dingus
BuildRequires:  python-sphinx
%endif


%description
The blocker tracking app is a web front end to the currently proposed blocker
and freeze exception bugs for Fedora releases under development.

%prep
%setup -q

# disabling check on el6 until there is a dingus build available
%if 0%{?rhel}
#%check
#%{__python} setup.py test
%else
%check
%{__python} setup.py test
%endif


%build
%{__python} setup.py build

# build docs using sphinx-1.0 on el6
%if 0%{?rhel}
sphinx-1.0-build  -b html -d docs/_build/doctrees docs/source docs/_build/html
sphinx-1.0-build  -b man -d docs/_build/doctrees docs/source docs/_build/man
%else
sphinx-build  -b html -d docs/_build/doctrees docs/source docs/_build/html
sphinx-build  -b man -d docs/_build/doctrees docs/source docs/_build/man
%endif


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# alembic stuff
mkdir -p %{buildroot}%{_datadir}/blockerbugs
cp -r alembic %{buildroot}%{_datadir}/blockerbugs/.
cp alembic.ini %{buildroot}%{_datadir}/blockerbugs/.

# apache config and wsgi stuff
mkdir -p %{buildroot}%{_datadir}/blockerbugs/conf
cp conf/blockerbugs.conf %{buildroot}%{_datadir}/blockerbugs/conf/.
cp conf/blockerbugs.cron.example %{buildroot}%{_datadir}/blockerbugs/conf/.
cp conf/blockerbugs.wsgi %{buildroot}%{_datadir}/blockerbugs/.

# configuration file
mkdir -p %{buildroot}%{_sysconfdir}/blockerbugs
install conf/settings.py.example %{buildroot}%{_sysconfdir}/blockerbugs/settings.py.example

# man page for CLI
mkdir -p %{buildroot}/%{_mandir}/man1/
cp -v docs/_build/man/*.1 %{buildroot}/%{_mandir}/man1/


%pre

# add a user and group mostly for running the cron job
%{_sbindir}/groupadd -r %{name} &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d %{_datadir}/%{name} -M \
                     -c 'Blocker Tracking App' -g %{name} %{name} &>/dev/null || :

%files
%doc docs/_build/html/*
%doc %{_mandir}/man1/blockerbugs*

%{python_sitelib}/*

%attr(755,root,root) %{_bindir}/blockerbugs
%dir %{_sysconfdir}/blockerbugs
%{_sysconfdir}/blockerbugs/*
%dir %{_datadir}/blockerbugs
%{_datadir}/blockerbugs/*


%changelog
* Tue Nov 12 2013 Martin Krizek <mkrizek@fedoraproject.org> - 0.4.0-1
 - update to 0.4.0-1

* Thu Oct 10 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.13-3
- removing status restriction on bugzilla query during sync (#421)

* Tue Oct 1 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.13-2
- removing /var/www/blockerbugs from dirs as it isn't used anymore

* Thu Sep 26 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.13-1
- using bodhi update ID urls where possible (fixes #386)

* Thu Sep 26 2013 Ilgiz Islamgulov <ilgizisl@gmail.com> - 0.3.0.12-1
- added missed GPL headers and

* Tue Sep 24 2013 Ilgiz Islamgulov <ilgizisl@gmail.com> - 0.3.0.11-1
- adding 404 response status code for page not found

* Tue Sep 24 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.10-1
- fixing bugzilla login and fixing filter in the spin admin page

* Tue Sep 24 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.9-1
- adding build information to the spin information returned in the API

* Fri Sep 13 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.8-1
- fixing some bugs in the admin interface

* Fri Sep 13 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.7-1
- adding new flask-admin based admin interface and api auth

* Fri Sep 13 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.6.3-1
- removing need for python-bugzilla cookiefile after review (#414)

* Thu Sep 5 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.6.2-2
- fixing file declarations to remove un-needed dir

* Thu Sep 5 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.6.2-1
- moving python-bugzilla cookiefile to /var/www/blockerbugs

* Thu Sep 5 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.6.1-1
- fixing seliux issue preventing proposal from webui (#414)

* Mon Aug 26 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.6-1
- fixing issues with python 2.6

* Thu Aug 22 2013 Martin Krizek <mkrizek@redhat.com> - 0.3.0.5-3
- Add python-flask-assets and uglify-js as dep

* Fri Aug 16 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.5-2
- adding openid deps and api module to setup.py

* Fri Aug 16 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.5-1
- implementing api for spins, updates and bugs
- improving update sync to be more efficient and not leave orphan updates visable

* Thu Jul 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.4-2
- adding python-openid, python-openid-teams, python-openid-cla as deps

* Thu Jul 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.4-1
- migrating to fas-openid for authentication (#383)

* Mon Jul 8 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.3-1
- fixing crash on milestone modification (#390)

* Thu May 30 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.2-1
- fixing sync trigger on component rename (#330) and full sync

* Tue Apr 30 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.1-1
- Several minor visual fixes and fixing the admin page rendering

* Tue Apr 23 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.0-1
- Made some minor visual changes for 0.3 release

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.4-1
- Added a visually obvious staging configuration

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.3-2
- Added the blockerbugs group for user creation

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.3-1
- Fixed a few minor bugs in the proposal process and cleaned up a template

* Wed Apr 10 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.2-1
- Centralized logging setup, changed logger creation and added syslog logger option
- Added blockerbugs user for cron job running

* Fri Mar 29 2013 Martin Krizek <mkrizek@fedoraproject.org> - 0.2.7.1-2
- Added log file location

* Mon Mar 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.1-1
- Fixed issue with cli utility using incorrect variable names

* Mon Mar 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.0-1
- Merged in bugzilla account integration and blocker proposal functionality

* Wed Mar 13 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.2-2
- Changed el6 build to use sphinx 1.0 for manpage generation support

* Tue Mar 12 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.2-1
- Added manpage for blockerbugs cli
- Enabled check for fedora, need build of python-dingus on el6

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-3
- Updated default value for bugzilla cookie

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-2
- Changed config file generation to installation of example

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-1
- New upstream version with fewer dependencies and added example cron job

* Wed Mar 6 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6-1
- Initial package for the blocker tracking app
